> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/api/mep/custom-audience/1.0/get.md).

# GET - View

The Custom Audience API 1.0 only accepts custom user IDs and avertising IDs. For audiences with install IDs, the version 1.1 should be used.

The Custom Audience API enables you to create, update, delete and list custom audiences. A **custom audience** can contain a list of custom user IDs, advertising IDs *(GAID or IDFA)* or install IDs.

This is useful to target segments with push notifications or In-App messages, either they are coming from your userbase or created by third-party tools.

Custom audiences created using the API can be targeted from Batch’s dashboard or the [Campaigns API](/developer/api/mep/campaigns.md).

### Request structure

#### Route

The Custom Audience API exposes a GET endpoint that allows to get information about a custom audience :

`https://api.batch.com/1.0/BATCH_API_KEY/custom-audience`

Here is a valid cURL example:

```bash
curl -H "Content-Type: application/json" -H "X-Authorization: BATCH_REST_API_KEY" -X GET "https://api.batch.com/1.0/BATCH_API_KEY/custom-audience"
```

The `BATCH_API_KEY` value is either your **Live**, **Dev** or **SDK** Batch API key from the settings page of your app within the dashboard (⚙ Settings → General).

#### Headers

In order to authenticate with the API, you need to provide your **company REST API Key** as the value of the `X-Authorization` header. You can find it in ⚙ Settings → General.

#### Get parameters

\[ { "id": "indexing\_token", "type": "String", "req": "Optional", "desc": "The indexing token returned by the replace and update routes.", "ex": "/custom-audience/audience1?indexing\_token=INDEXING\_TOKEN" } ]

Here is an example of a valid CURL CLI request :

```
curl -H "Content-Type: application/json" -H "X-Authorization: BATCH_REST_API_KEY" -X GET
"https://api.batch.com/1.0/BATCH_API_KEY//custom-audience/audience1?indexing_token=INDEXING_TOKEN"
```

### Responses

#### Success

If the GET to the API endpoint is successful you will receive an **HTTP 200** confirmation and information about your audience.

```json
{
  "name": "audience1",
  "type": "custom_ids",
  "description": "The audience1 description",
  "created": "2018-06-29T13:12:09",
  "updated": "2018-06-29T13:42:59",
  "nb_ids": 16743,
  "indexing_state": "IN_PROGRESS" // IN_PROGRESS, APPLIED
}
```

The indexing state is the indexing state of the update that returned the given `indexing_token`. If there is no indexing token provided, the state of the last update will be used.

#### Failure

If the POST data does not meet the API requirements you will receive an actionable error message. Contact us at <support@batch.com> if you need further support.

* `AUTHENTICATION_INVALID` (Http status code: 401, Error code: 10)
* `API_MISUSE` (Http status code: 403, Error code: 12)
* `ROUTE_NOT_FOUND` (Http status code: 404, Error code: 20)
* `MISSING_PARAMETER` (Http status code: 400, Error code: 30)
* `MALFORMED_PARAMETER` (Http status code: 400, Error code: 31)
* `MALFORMED_JSON_BODY` (Http status code: 400, Error code: 32)
* `SERVER_ERROR` (Http status code: 500, Error code: 1)
* `MAINTENANCE_ERROR` (Http status code: 503, Error code: 2)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.batch.com/developer/api/mep/custom-audience/1.0/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
